Display
Date: 2019-10-22

org.jmol.awtjs2d

## Class Display

- java.lang.Object
- - org.jmol.awtjs2d.Display

-     class Display
      extends java.lang.Object

  methods required by Jmol that access java.awt.Component private to org.jmol.awt

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Display()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `convertPointFromScreen(java.lang.Object canvas, javajs.util.P3 ptTemp)`
    `(package private) static void` | `drawImage(java.lang.Object context, java.lang.Object canvas, int x, int y, int width, int height, boolean isDTI)` Draw the completed image from rendering.
    `(package private) static void` | `getFullScreenDimensions(java.lang.Object canvas, int[] widthHeight)`
    `(package private) static boolean` | `hasFocus(java.lang.Object canvas)`
    `static java.lang.String` | `prompt(java.lang.String label, java.lang.String data, java.lang.String[] list, boolean asButtons)`
    `(package private) static void` | `renderScreenImage(PlatformViewer vwr, java.lang.Object g, java.lang.Object size)` legacy apps will use this
    `(package private) static void` | `requestFocusInWindow(java.lang.Object canvas)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Display

          Display()

  - ### Method Detail

    - #### getFullScreenDimensions

          static void getFullScreenDimensions(java.lang.Object canvas,
                                              int[] widthHeight)

      Parameters:
        `canvas` -
        `widthHeight` -

    - #### hasFocus

          static boolean hasFocus(java.lang.Object canvas)

    - #### requestFocusInWindow

          static void requestFocusInWindow(java.lang.Object canvas)

    - #### renderScreenImage

          static void renderScreenImage(PlatformViewer vwr,
                                        java.lang.Object g,
                                        java.lang.Object size)

      legacy apps will use this
      Parameters:
        `vwr` -
        `g` -
        `size` -

    - #### prompt

          public static java.lang.String prompt(java.lang.String label,
                                                java.lang.String data,
                                                java.lang.String[] list,
                                                boolean asButtons)

      Parameters:
        `label` -
        `data` -
        `list` -
        `asButtons` -
      Returns:
        "null" or result of prompt

    - #### convertPointFromScreen

          public static void convertPointFromScreen(java.lang.Object canvas,
                                                    javajs.util.P3 ptTemp)

    - #### drawImage

          static void drawImage(java.lang.Object context,
                                java.lang.Object canvas,
                                int x,
                                int y,
                                int width,
                                int height,
                                boolean isDTI)

      Draw the completed image from rendering. Note that the image buffer (org.jmol.g3d.Graphics3D.
      Parameters:
        `context` -
        `canvas` -
        `x` -
        `y` -
        `width` - unused in Jmol proper
        `height` - unused in Jmol proper
        `isDTI` -